%define upstream_name PBKDF2-Tiny
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/PBKDF2/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module provides an RFC 2898 <https://tools.ietf.org/html/rfc2898>
compliant PBKDF2 implementation using HMAC-SHA1 or HMAC-SHA2 in under
100 lines of code. If you are using Perl 5.10 or later, it uses only
core Perl modules. If you are on an earlier version of Perl, you need
Digest::SHA or Digest::SHA::PurePerl.

All documented functions are optionally exported. No functions are
exported by default.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1031937
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966141
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 842644
- imported package perl-PBKDF2-Tiny

